### Function

# Gimp file_has_extension

#### Declaration [src]

    gboolean
    gimp_file_has_extension (
      GFile* file,
      const gchar* extension
    )

#### Description [src]

This function checks if `file`‘s URI ends with `extension`. It behaves like `g_str_has_suffix()` on g_file_get_uri(), except that the string comparison is done case-insensitively using g_ascii_strcasecmp().

Available since: | 2.10

#### Parameters

`file` | `GFile`
| A `GFile`.
| The data is owned by the caller of the function.
`extension` | `const gchar*`
| An ASCII extension.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` if `file`‘s URI ends with `extension`, `FALSE` otherwise.